<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="ebay.hibernate.DbOrderlog" table="DB_ORDERLOG">
        <id name="sid" type="java.lang.String">
            <column name="SID" length="50" />
            <generator class="uuid.hex" />
        </id>
        <property name="corpid" type="java.lang.String">
            <column name="CORPID" length="100" />
        </property>
        <property name="orderid" type="java.lang.String">
            <column name="ORDERID" length="50" not-null="true" />
        </property>
        <property name="tradeid" type="java.lang.String">
            <column name="TRADEID" length="100" />
        </property>
        <property name="opertype" type="java.lang.String">
            <column name="OPERTYPE" length="100" not-null="true" />
        </property>
        <property name="descr" type="java.lang.String">
            <column name="DESCR" length="4000" />
        </property>
        <property name="oper" type="java.lang.String">
            <column name="OPER" length="100" />
        </property>
        <property name="opertime" type="java.util.Date">
            <column name="OPERTIME" length="7" />
        </property>
        <property name="reserve1" type="java.lang.String">
            <column name="RESERVE1" length="100" />
        </property>
        <property name="reserve2" type="java.lang.String">
            <column name="RESERVE2" length="100" />
        </property>
        <property name="reserve3" type="java.lang.String">
            <column name="RESERVE3" length="100" />
        </property>
        <property name="reserve4" type="java.lang.String">
            <column name="RESERVE4" length="100" />
        </property>
        <property name="reserve5" type="java.lang.String">
            <column name="RESERVE5" length="100" />
        </property>
    </class>
</hibernate-mapping>
